Bug 163 - LinuxSampler.exe process does not close properly in Windows 7
Summary: LinuxSampler.exe process does not close properly in Windows 7
Status: ASSIGNED
Alias: None
Product: LinuxSampler
Classification: Unclassified
Component: other (show other bugs)
Version: SVN Trunk
Hardware: PC Windows 7
: P5 major
Assignee: Christian Schoenebeck
URL:
Depends on:
Blocks:
 
Reported: 2012-01-04 13:27 CET by Rob Sherratt
Modified: 2015-06-11 14:39 CEST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Sherratt 2012-01-04 13:27:12 CET
Under Windows 7 64 bit

LinuxSampler.exe (back end process) does not always close properly after an "end task" message or "CTRL C" is sent from Windows 7.  This prevents system shutdown, and also prevents LinuxSampler.exe from being closed by the Task Manager.

To recreate this situation, use Fantasia to load an LSCP script for a few thousand instruments.  Play a few of the sounds on multiple MIDi channels.  Then exit Fantasia, Then the user presses CTRL C in the Linux Sampler log message window, then the following messages appear immediately:

    Stopping disk thread...OK
    LinuxSampler stopped due to SIGINT

but after this point the process does not close completely, the window can not be closed by clicking the "X" box, it still responds to window resizing and minimising to and from the task bar.  The process is still listed under task manager for at least the next 5 minutes, then it eventually exits.
Comment 1 Christian Schoenebeck 2014-01-18 18:58:03 CET
Could be a problem with the sampler's ASIO driver that may not close the ASIO system automatically when the sampler shuts itself down. Does this also happen when you manually destroyed the ASIO device in the sampler/qsampler/Fantasia before doing Ctrl C?
Comment 2 Christian Schoenebeck 2015-06-11 14:39:26 CEST
In case no additional informations are provided by you, then this report will be closed soon.